/**
 * 我的第一个插件
 * @param container jQuery选择器
 * @param options 参数
 * @returns {___anonymous1706_1821}
 */
function loadMore(container,options) {
	"use strict";
	
	var $element = $(container);
	var $addStyleElement = $element
	//默认参数
	var defaults = {
		autoLoadNum: 0, //自动加载次数
		distance: '100', //自动加载距离 默认参数 px
		loadingStyle: '<div class="text-center mt mb">'
					+'<span class="icon-spin4 animate-spin"></span>&nbsp;&nbsp;&nbsp;正在加载'
					+'</div>', //加载中的样式
		clickLoadMoreStyle: '<div class="load_more"><div class="load_more_inner"><i class="load_more_icon icon-plus"></i>点击加载更多</div></div>', //点击加载更多的样式
		loadOverStyle: '', //无更多加载内容的样式
		callback: function() {}, //加载的方法
		addStyleElement: '',//自定义添加加载样式的元素
		page: 1 ,//初始加载的页数
		addpage: 1 //每次增加几页，默认加1，允许负值
	}
	options = $.extend({},defaults,options)
	//状态
	var loadding = false;
	var over = false;
	var scroll = true;
	
	//初始化，保证参数的类型正确
	(function init() {
		options.page = parseInt(options.page);
		options.addpage = parseInt(options.addpage);
		options.autoLoadNum = parseInt(options.autoLoadNum);
		options.distance = parseInt(options.distance);
		if (options.addStyleElement) {
			$addStyleElement = $(options.addStyleElement);
		}
	})();
	
	function start() {
		if (loadding || over) {
			return false;
		}
		loadding = true;
		
		$addStyleElement.find('.lw_clickLoadMore').remove();

		$(options.loadingStyle).addClass('lw_loadding').appendTo($addStyleElement);
		load();
	}
	
	function load() {
		if (!loadding || over) {
			return false;
		}
		
		var loadNum = $element.attr('data-loadNum') || 1;
		if (options.callback && typeof options.callback == 'function') {
			options.callback();
		}
		$element.attr('data-loadNum',parseInt(loadNum)+1)
	}
	
	function end() {
		if (!loadding) {
			return false;
		}
		loadding = false;
		$addStyleElement.find('.lw_loadding').remove();
		
		var loadNum = $element.attr('data-loadNum') || 1;

		if (!over && loadNum > options.autoLoadNum) {
			scroll = false;
			$(options.clickLoadMoreStyle).addClass('lw_clickLoadMore').appendTo($addStyleElement).click(function() {start()});
		}
	}
	
	function loadOver() {
		if (loadding || over) {
			return false;
		}
		over = true;
		$addStyleElement.find('.lw_clickLoadMore').remove();
		$(options.loadOverStyle).appendTo($addStyleElement).addClass('lw_loadOver');
	}
	
	function clear() {
		over = false;
		scroll = true;
		$addStyleElement.find('.lw_loadOver').remove();
		$addStyleElement.find('.lw_clickLoadMore').remove();
		$element.attr('data-loadNum',1);
		$element.scrollTop(0);
	}
	
	$element.on('scroll',function() {
		if (scroll && !over) {
			var $this = $(this);
			var childrenHeight = 0;
			$this.children().each(function() {
				if (!$(this).is(':hidden')) {
					childrenHeight += $(this).outerHeight();
				}
			});
			
			if (childrenHeight <= $this.height() + $this.scrollTop() + options.distance) {
				start();
			}
		}
	})
	
	return {
		loadMore: function() {
			load();
		},
		end: function() {
			end();
		},
		over: function() {
			loadOver();
		},
		clear: function() {
			clear();
		},
		stop: function() {
			loadding = true;
			$addStyleElement.find('.lw_clickLoadMore').hide();
			$addStyleElement.find('.lw_loadOver').hide();
		},
		run: function() {
			loadding = false;
			$addStyleElement.find('.lw_clickLoadMore').show();
			$addStyleElement.find('.lw_loadOver').show();
		}
	};
}