"use strict";
var domain = store.get('domain');
if (!domain) {
	domain = 'http://book.duyima.com';
}
var app_version = '02.01.00';
var _userid = 0;
var _username = '';
var TouchOrClick = 'click' ;

/**
 * 获取从url的queryString
 * @param href
 * @returns
 */
function getQueryString(href) {
	var queryString = '';
	var f = href.indexOf('?');
	if (f > 0) {
		queryString = href.substr(f + 1);
	}
	return queryString;
}

/**
 * 获取queryString获取get参数
 * @param href
 * @returns
 */
function getQueryStringArr(queryString) {
	var result = {};
	var q_arr = [];
	if (queryString && typeof queryString == 'string') {
		q_arr = queryString.split('&');
		if (q_arr.length > 0) {
			for (var i in q_arr) {
				var param = q_arr[i].split('=');
				if (param.length > 1) {
					result[param[0]] = param[1];
				}
			}
		}
	}
	
	return result;
}
/**
 * 在content窗口执行代码
 * @param obj 代码可以为方法，也可以直接为js代码
 * @param name 有此参数表示在pop窗口，没有表示主窗口
 * @returns
 */
function runFramejs(obj, name) {
	var script = '';
	if (typeof obj == 'string') {
		script = obj;
	} else {
		for (var i in obj) {
			if (typeof obj[i] == 'string') {
				script += obj[i] + ';';
			} else {
				script += i + "(";
				var params = obj[i];
				if (params && params.length > 0) {
					for (var j in params) {
						if (typeof params[j] == 'object') {
							script += "" + JSON.stringify(params[j]) + ",";
						} else {
							script += "'" + params[j] + "',";
						}
					}
					script = script.substr(0, script.length-1);
				}
				script += ');';
			}
		}
	}
	if (!script) {
		return false;
	}
	if (!name) {
		uexWindow.evaluateScript('content', 0, script);
	} else {
		uexWindow.evaluateScript(name, 0 ,script);
	}
	
}

/**
 * 跳转url，默认打开一个pop窗口
 * @param href 地址
 * @param iswin 是否打开一个新窗口（相对于pop窗口）
 * @param obj 其他参数
 * @returns
 */
function goUrl(href, iswin, obj){
	var source_href = href;
	if (href == '/login/login') {
		if (store.get('bm_id') > 0) {
			return false;
		}
	}
	
	if (!obj) {
		obj = {inAniID:0, flag:0};
	}
	var queryString = getQueryString(href);
	store.set('queryString', queryString);
	if (!href || (href && href == '#' || href == 'javascript:;')) return;
	href = href.replace(/(\/$|\?.*$|\/\?.*$)/, '');
	var name = href;
	if (href.indexOf('http://') < 0) {
		var href_item = href.split('/');
		var href_item_count = 0;
		var new_href = 'duyima';
		for (var i = 0; i < href_item.length; i++) {
			if (href_item_count >= 2) {
				break;
			}
			if (href_item[i]) {
				new_href += '/' + href_item[i];
				href_item_count++;
			}
		}
		href = new_href + '.html';
	}
	if (typeof uexWindow == 'undefined') {
		window.location.href = '../../'+href;
	}
	if (obj['inAniID'] == undefined) {
		obj['inAniID'] = 10;
	}
	var inAniID = obj['inAniID'];
	var flag = obj['flag'];
	if (!flag) {
		flag = 0;
	}
	if (event) {
		$('.li-click-active').removeClass('li-click-active');
		$(event.target).closest('li').addClass('li-click-active');
	}
	if (iswin == 1) { //在窗口中打开一个新窗口
		runFramejs({'uexWindow.open':[name,0,href,inAniID,0,0,flag], 'set_win_name':[name]},'root');
	}
}

/**
 * 获取一个随机数字
 * @returns
 */
function getRandom() {
	return Math.round(Math.random() * 10000000) ;
}

var isBack = 0;
var isTimeout = 0;
/**
 * 设置post参数
 * @param int xmlID 请求ID
 * @param string data 例如：a=1&b=2
 */
function setPost(xmlID, data, dataType) {
	if (data) {
		var dataArr = data.split('&');
		if (dataArr) {
			for (var i in dataArr) {
				if (dataArr[i]) {
					var param = dataArr[i].split('=');
					//检查是否通过编码过来的，即：如果是编码过来，那么可以确定是serialize过来的，这样是需要替换加号为空格的
					if (decodeURIComponent(param[1]) != param[1]) {
						param[1] = decodeURIComponent(param[1].replace(/\+/g, ' '));
					}
					uexXmlHttpMgr.setPostData(xmlID, dataType, param[0], param[1]);//0表示文本方式，1表示二进制
				}
			}
		}
	}
}

var ajaxQueue = [];
var ajaxData = {};
var ajaxIsrun = 0;
var ajaxTimer = 0;
var hook = {};
var handleAjax = function () {
	if (ajaxQueue.length <= 0) {
		if (ajaxTimer >= 0) {
			clearInterval(ajaxTimer);
			ajaxTimer = 0;
		}
		return;
	}
	if (ajaxIsrun == 1) {
		return;
	}
	ajaxIsrun = 1;
	var xmlID = ajaxQueue.shift();
	var obj = jQuery.extend(true, {}, ajaxData[xmlID]);
	delete ajaxData[xmlID];
	if (obj == undefined) {
		ajaxIsrun = 0
		return;
	}
	
	var needLoading = true;
	if ('needLoading' in obj) {
		needLoading = !!obj.needLoading;
	}
	
	var url = obj.url;
	var data = obj.data;
	//设置提交方式
	var type = 'get';
	if ('type' in obj && obj.type.toLowerCase() == 'post') {
		type = 'post';
		//开始提交
		uexXmlHttpMgr.open(xmlID, type, url, timeout);
		if (data) {
			var sendType = 0;
			if ('sendType' in obj && obj.sendType == 1) {
				sendType = 1;
			}
			setPost(xmlID, data, sendType);
		}
	} else {
		if (data) {
			url += '&' + data;
		}
		uexXmlHttpMgr.open(xmlID, type, url, timeout);
	}
	//设置timeout
	var timeout = 15000;
	if ('timeout' in obj) {
		timeout = obj.timeout;
	}
	
	//防止异步请求时间过短引起的短暂loading效果
	if (needLoading) {
		setTimeout(function () {
			if (!isBack) {
				uexWindow.toast('1','5','处理中...',"0");
			}
		}, 300);
	}
	
	//提交回调函数
	uexXmlHttpMgr.onData = function (inOpCode,inStatus,inResult) {
		isBack = 1;
		if (inOpCode == xmlID) {
			if (inStatus == -1 && !isTimeout) {
				if (needLoading) {
					uexWindow.closeToast();
				}
				uexXmlHttpMgr.close(xmlID);
				ajaxIsrun = 0;
				if (needLoading) {
					uexWindow.toast('0','5', '连接网络失败',"1500");
				}
				stopRefresh();
				store.set('online_state', 0);
				ajaxQueue = [];
				ajaxData = {};
				ajaxIsrun = 0;
				ajaxTimer = 0;
			} else if (inStatus == 0) {
				//uexWindow.toast('0','5','获取服务器数据失败' + inResult,"1000");
			} else {
				store.set('online_state', 1);
				if (obj.success) {
					if (needLoading) {
						uexWindow.closeToast();
					}
					uexXmlHttpMgr.close(xmlID);
					ajaxIsrun = 0
					//返回数据的格式类型
					if (!('dataType' in obj)) {
						obj.dataType = 'json';
					}
					switch (obj.dataType) {
						case 'json':
							var json_data = JSON.parse(inResult);
							if (json_data && json_data.state && (json_data.state == -100 || json_data.state == 100)) {
								eval(json_data.script);
							}
							if (json_data.tourl && json_data.tourl == '/login') {
								store.set('bm_id', 0);
								store.set('bm_n', '');
								store.set('bm_k', '');
								store.set('pop_win_name', {});
								//uexWindow.closeToast();
								//uexWindow.toast('0','5', '你已经退出登录状态',"1500");
								var update_event = store.get('update_event');
								for (var i in update_event) {
									changeUpdateEventState(i);
								}
								if (!/login\/logout/.test(url)) {
									uexWindow.toast('0','5', '提示：请先登录再继续该操作！',"2000");
								}
								if (!/login/.test(cur_win_name)) { //防止定时刷新会自动调换到登录页面
									uexWindow.open('/login/login',0,'../login/login.html',10,0,0,4);
								}
								return false;
							} else {
								store.set('bm_id', json_data.loginData.bm_id);
								store.set('bm_n', json_data.loginData.bm_n);
								store.set('bm_k', json_data.loginData.bm_k);
								obj.success(json_data);
							}
							break;
						case 'html':
							obj.success(inResult);
							break;
					}
				}
				ajaxIsrun = 0;
				stopRefresh();
			}
		}
	};
	//提交
	uexXmlHttpMgr.send(xmlID);
	
	setTimeout(function () {
		if (!isBack && needLoading) {
			uexWindow.closeToast();
			uexWindow.toast('1','5','还在继续处理...',"0");
		}
	}, 5000);
	//处理网络超时
	setTimeout(function () {
		if (!isBack) {
			if (needLoading) {
				uexWindow.closeToast();
			}
			uexXmlHttpMgr.close(xmlID);
			ajaxIsrun = 0
			if (needLoading) {
				uexWindow.toast('0','5','请求网络超时',"1500");
			}
			stopRefresh();
			isTimeout = 1;
		}
	}, timeout);
}

/**
 * 跨域请求
 */
function ajaxp (obj){
	if (typeof uexXmlHttpMgr == 'undefined') {
		delete obj.cache;
		obj.url = obj.url = domain + obj.url + '?app_version='+app_version + '&isajax=1&debug=1&jsoncallback=?';
		obj.dataType = 'jsonp';
		obj.type = 'get';
		$.ajax(obj);
		stopRefresh();
		return ;
	}
	
	//设置提交的url
	var url = obj.url;
	if (url.indexOf('http://') >= 0) {
		obj.url = url;
	} else {
		if (url.indexOf('?') >= 0) {
			url += '&';
		} else {
			url += '?';
		}
		obj.url = domain + url + 'isajax=1&app_version='+app_version;
	}
	
	if (!('type' in obj)) {
		obj.type = 'get';
	}
	if (!('data' in obj)) {
		obj.data = '';
	}
	
	//判断当前队列里面是否已经有该请求：防止重复请求
	for (var i in ajaxData) {
		if (obj.url == ajaxData[i].url && obj.data == ajaxData[i].data && obj.type == ajaxData[i].type) {
			return false;
		}
	}
	
	//申请一个请求号
	var xmlID = getRandom();
	ajaxQueue.push(xmlID);
	ajaxData[xmlID] = obj;
	if (ajaxTimer == 0) {
		ajaxTimer = setInterval(handleAjax, 50);
	}
	return xmlID;
}

/**
 * 设置点击效果
 * @param item
 * @returns
 */
//function set_active(item) {
//	$('body').find('li').removeClass('active');
//	var _this = $(item).parent();
//	_this.addClass('active');
//	setTimeout(function () {
//		_this.removeClass('active');
//	}, 1000);
//}

/**
 * 判断是否登录
 * @returns
 */
function isLogin() {
	return true;
	if (getUserid() > 0) {
		return true;
	} else {
		return false;
	}
}

/**
 * 获取用户ID
 * @returns
 */
function getUserid() {
	var user_id = store.get('bm_id');
	if (!user_id) {
		user_id = 0;
	}
	return user_id;
}
/**
 * 获取用户名称
 * @returns
 */
function getUsername() {
	return decodeURIComponent(store.get('bm_n'));
}

function getMoreData(item) {
	var _this = $(item);
	var _id = item.id;
	var curr_page = _this.attr('data-page');
	var url = _this.attr('data-url');
	uexWindow.toast('1','5', '正在加载',"0");
	ajaxp({
		url: url,
		data:'p=' + curr_page,
		success: function(json){
			uexWindow.closeToast();
			if (json.state <= 0) {
				uexWindow.toast('0','5', json.msg,"1500");
			} else {
				_this.before(json.msg);
				_this.remove();
			}
		}
	});
}

/**
 * 通过是个Date对象，获取易懂的时间格式，如：今天，明天等
 * @param dateObj
 * @returns {String}
 */
function getDate(dateStr, returnType) {
	var nowDate = new Date();
	var nowTime = (nowDate.valueOf() - nowDate.getTimezoneOffset()*60000)/86400000;
	
	var dateObj = new Date(dateStr.replace(/-/g,'/'));
	if (returnType == 1) { //时间对象
		return dateObj;
	} else if (returnType == 2) { //时间戳
		return dateObj.valueOf();
	}
	var dataTime = (dateObj.valueOf() + 480*60000)/86400000;//480是时区偏移量，表明是中国时间
	
	var differ = parseInt(nowTime) - parseInt(dataTime);
	
	var hours = dateObj.getHours();
	if (hours < 10) {
		hours = 0 + '' + hours;
	}
	
	var minutes = dateObj.getMinutes();
	if (minutes < 10) {
		minutes = 0 + '' + minutes;
	}
	
	var oTime = hours + ':' + minutes;

	var returnDate = ' ' + oTime;
	switch (differ) {
		case 0:
			returnDate = '今天' + returnDate;
			break;
		case 1:
			returnDate = '昨天' + returnDate;
			break;
		case 2:
			returnDate = '前天' + returnDate;
			break;
		case -1:
			returnDate = '明天' + returnDate;
			break;
		case -2:
			returnDate = '后天' + returnDate;
			break;
		default:
			returnDate = dateObj.getFullYear() + '-' + (dateObj.getMonth() + 1) + '-' + dateObj.getDate() + returnDate;
			break;
	}
	return returnDate;
}
/**
 * 文件分割上传
 * @param base64_data
 * @param url
 * @param callback
 */
function upload_img(base64_data, upload_url, callback) {
	uexWindow.toast('1','5', '处理中...',"0");
	var per_len = 5000;
	var data_params = 'd[0]=' + base64_data.substr(0, per_len);
	for (var i = 1; i< base64_data.length/per_len; i++) {
		data_params += '&d['+i+']='+base64_data.substr(i*per_len, per_len);
	}
	
	ajaxp({
		url: upload_url,
		data: data_params,
		type: 'post',
		timeout: 30000,
		success: function(json) {
			callback && callback(json);
		}
	});
}
function autoWidthInput() {
	$('.panel li input, .panel li textarea').each(function() {
		var _this = $(this);
		if (_this.attr("type") == 'checkbox' || _this.attr("type") == 'radio') {
			return false;
		}
		var button_offset = 0;
		var label_offset = 0;
		
		var _this_button = _this.parent().find('.btn-float-right');
		if (_this_button.length > 0) {
			button_offset = _this_button[0].offsetWidth;
		}
		var _this_label = _this.parent().find('label');
		if (_this_label.length > 0) {
			label_offset = _this_label[0].offsetWidth;
		}
		var new_width = _this.parent()[0].offsetWidth - button_offset - label_offset;
		if (new_width <= 0) {
			return false;
		}
		_this.css({
			'width': new_width*0.98 + 'px',
			'padding-left': '.5em',
			'margin-left': label_offset + 'px',
		});
	});
}
addReadyEvent(autoWidthInput);
function addReadyEvent(func, params) {
	var oldReady = window.onload;
	if (typeof window.onload != 'function') {
		window.onload = function () {func.apply(func, params);};
	} else {
		window.onload = function() {
			oldReady();
			func.apply(func, params);
		}
	}
}
function addLoadEvent(func, params) {
	var oldOnload = window.uexOnload;
	if (typeof window.uexOnload != 'function') {
		window.uexOnload = function () {func.apply(func, params);};
	} else {
		window.uexOnload = function() {
			oldOnload();
			func.apply(func, params);
		}
	}
}

//当前窗口的唯一ID
var cur_win_id = getRandom();
var cur_win_name = '';
var cur_win_event = {};
//设置window的name
function set_win_name(params_win_name) {
	cur_win_name = params_win_name;
	
	//记录所有开启的页面
	var all_open_win = store.get('all_open_win');
	if (!all_open_win) {
		all_open_win = {};
	}
	all_open_win[cur_win_name] = 1;
	store.set('all_open_win', all_open_win);
}
//添加window的注册事件
function set_win_event(params_win_event) {
	cur_win_event[params_win_event] = 1;
}

//关闭当前窗口
function close_window(flag) {
	//取消注册时间需要更新的窗口ID
	if (!jQuery.isEmptyObject(cur_win_event)) {
		var update_event = store.get('update_event');
		if (update_event) {
			for (var event_name in cur_win_event) {
				delete update_event[event_name]['reg_window'][cur_win_id];
				delete update_event[event_name]['need_update_window'][cur_win_id];
			}
		}
	}
	if (!flag) {
		flag = -1;
	}
	
	var all_open_win = store.get('all_open_win');
	if (!all_open_win) {
		all_open_win = {};
	} else {
		delete all_open_win[cur_win_name];
	}
	
	//关闭窗口
	setTimeout(function () {
		uexWindow.close(flag);
	}, 500);
	
}

function closeAll() {
	var all_open_win = store.get('all_open_win');
	if (all_open_win) {
		for (var i in all_open_win) {
			if (i != '/login/login') {
				runFramejs('close_window()',i);
			}
		}
	}
}

var update_event_name = {};

/**
 * 注册更新事件
 * @param params
 */
function regUpdateEvent(params) {
	if (!(params instanceof Array)) {
		params = [params];
	}
	var update_event = store.get('update_event');
	if (!update_event) {
		update_event = {};
	}
	for (var i = 0; i < params.length; i++) {
		var obj = params[i];
		if (!('timeout' in obj)) {
			obj.timeout = 86400;
		}
		
		//添加当前页面的注册时间列表
		set_win_event(obj.name);
		
		//判断是否有窗口已经注册过此事件
		if (!(obj.name in update_event)) {
			//alert(JSON.stringify(update_event[obj.name]));
			update_event[obj.name] = {
				lasttime:parseInt((new Date()).valueOf()/1000),
				timeout:obj.timeout,
				reg_window:{},
				need_update_window:{}
			};
		} else {
			update_event[obj.name].timeout = obj.timeout;
		}
		//注册回调函数
		update_event[obj.name].callback = obj.callback;
		
		//不能直接初始化，获取不到cur_win_id的值
		update_event[obj.name].reg_window[cur_win_id] = 1;
		update_event[obj.name].need_update_window[cur_win_id] = 0;
		update_event_name[obj.name] = 1;
		if (obj.callback && obj.timeout > 0) { //如果注册时，选择缓存时间为0，那么初始化就不用执行，因为当前时间会默认被调用
			addLoadEvent(window[obj.callback],[false,update_event[obj.name].callback_params]);
			update_event[obj.name].callback_params = '';
		}
	}
	store.set('update_event', update_event);
}

/**
 * 改变更新事件的状态
 * @param event_name
 */
function changeUpdateEventState(event_name, callback_params) {
	var update_event = store.get('update_event');
	if (typeof update_event != 'object') {
		update_event = {};
	}
	if (event_name in update_event) {
		//设置所有窗口都需要更新
		update_event[event_name].need_update_window = jQuery.extend(true, {}, update_event[event_name].reg_window);
	} else {
		update_event[event_name] = {
			lasttime:parseInt((new Date()).valueOf()/1000),
			reg_window:{},
			need_update_window:{}
		};
	}
	if (callback_params) {
		update_event[event_name].callback_params = callback_params;
	}
	store.set('update_event', update_event);
}

function listenEvent() {
	if (!jQuery.isEmptyObject(update_event_name)) {
		//获取需要更新的数据和回调函数
		var update_event = store.get('update_event');
		for (var event_name in update_event_name) {
			if (event_name in update_event) {
				var cur_event = update_event[event_name];
				
				//判断数据是否过期
				var is_past_due = (parseInt((new Date()).valueOf()/1000) - cur_event.lasttime > cur_event.timeout);
				if (is_past_due || cur_event.need_update_window[cur_win_id] == 1) {
					var get_cache = 0;
					if (is_past_due) {
						//设置所有都需要更新
						changeUpdateEventState(event_name);
					} else {
						//判断是否已经有过更新，如果有过更新就直接读取缓存
						for (var win_id in cur_event.need_update_window) {
							if (cur_event.need_update_window[win_id] == 0) { //已经有窗口更新过了
								get_cache = 1;
								break;
							}
						}
					}
					
					//执行回调更新
					if (cur_event.callback) {
						window[cur_event.callback](get_cache,cur_event.callback_params);
						update_event[event_name].callback_params = '';
					}
					
					//清除当前window更新状态
					cur_event.need_update_window[cur_win_id] = 0;
				}
			}
		}
		store.set('update_event', update_event);
	}
}
/*****为了兼容android4.0以下  START*******/
function noBarsOnTouchScreen(arg) {
	var elem, tx, ty;
	if ('ontouchstart' in document.documentElement) {
		if (elem = $(arg)[0]) {
			elem.style.overflow = 'hidden';
			elem.ontouchstart = ts;
			elem.ontouchmove = tm;
		}
	}
	function ts(e) {
		var tch;
		if (e.touches.length == 1) {
			e.stopPropagation();
			tch = e.touches[0];
			tx = tch.pageX;
			ty = tch.pageY;
		}
	}
	function tm(e) {
		var tch;
		if (e.touches.length == 1) {
			e.preventDefault();
			e.stopPropagation();
			tch = e.touches[0];
			this.scrollTop += ty - tch.pageY;
			ty = tch.pageY;
		}
	}
}
/*****为了兼容android4.0以下   END*******/

function onStateChange() {
	uexWindow.onStateChange=function(state){
		if (state == 0) {
			listenEvent();
		} else {
			stopRefresh();
			$('.li-click-active').removeClass('li-click-active');
			if (snapper) {
				setTimeout(function () {
					snapper.close();
				}, 500);
			}
		}
	}
	
	//判断android版本,兼容4.0以下 div不支持overflow:scroll
	if (uexWidgetOne.platformName == 'android' && uexWidgetOne.platformVersion.toString() < '4.0') {
		noBarsOnTouchScreen('.content');
	}
}

addLoadEvent(onStateChange);
function imgload() {
	if (false && typeof uexWindow != 'undefined') {
		$('img').each(function() {
			var $this = $(this);
			var src = new String($this.attr('src'));
			if (src.indexOf('http://') < 0) {
				return ;
			}
			var ext = src.split('.').pop();
			$this.attr('src', '');
			if (!(src && (ext == 'jpg' || ext == 'jpeg' || ext == 'png' || ext == 'gif'))) {
				return;
			}
			zy_imgcache('', src, src, function (domobject, url) {
				$this.attr('src', url);
			}, null, src.replace(/\//g, '_') + '.' + ext, ext);
		});
	}
}

function refresh(func) {
	var $this = $(event.target);
	$this.addClass('animate-spin-auto');
	if (func) {
		if (!(func instanceof Array)) {
			func = [func];
		}
		for (var i in func) {
			window[func[i]](0);
		}
	} else {
		for (var i in cur_win_event) {
			window[i](0);
		}
	}
}

function stopRefresh() {
	setTimeout(function () {
		$('.animate-spin-auto').removeClass('animate-spin-auto');
	}, 500);
}

/**
 * 刷新地理信息
 * @param cache
 * @returns {Boolean}
 */
function refresh_location(cache) {
	//获取历史消息
	var location_key = getUserid() + '_cache_location';
	var location = {};
	location = store.get(location_key);
	if (!location) {
		location = {};
	}
	var last_time = location.last_time;//存入的是时间戳
	if (last_time && parseInt((new Date()).valueOf()/1000) - last_time < 300 ) { //间隔10分钟
		return true;
	}
	if (typeof uexLocation != 'undefined') {
		uexLocation.onChange=function (inLat,inLog){
			uexLocation.closeLocation();
			if (inLat && inLog) {
				location.longitude = inLog;
				location.latitude = inLat;
			}
			location.last_time = parseInt((new Date()).valueOf()/1000);
			store.set(location_key, location);
			//提交
			ajaxp({
				url: '/user/UpdateLocation',
				data: 'longitude='+location.longitude + '&latitude=' + location.latitude,
				type: 'post',
				needLoading: false,
				success: function () {
					
				}
			});
		}
		setTimeout(function() {
			uexLocation.openLocation();
		}, 500);
		
		setTimeout(function () {
			uexLocation.closeLocation();
		}, 1000*45);
	}
}
regUpdateEvent({
	name: 'refresh_location',
	callback: 'refresh_location',
	timeout:0
});
//当没有页面切换的时候，30分钟自动刷新一次
setInterval(function () {
	refresh_location(0);
}, 1000*60*30);

//用浏览器打开网页
function browser(msg) {
	if (typeof uexWidget != 'undefined' && typeof uexWidget.installApp != 'undefined') { //android
		uexWidget.loadApp("android.intent.action.VIEW","text/html",msg);
	} else {
		uexWidget.loadApp(msg,null,null);
	}
}

/**
 * 扫描
 */
function uexScan() {
	uexScanner.open('ZBar');
}